## amd-debug-tools 0.2.9

=== debian/changelog ===
amd-debug-tools (0.2.9-1) unstable; urgency=medium

  * Initial release. (Closes: #1110884)

 -- Mario Limonciello <superm1@debian.org>  Tue, 21 Oct 2025 23:04:50 -0500

=== debian/rules ===
#!/usr/bin/make -f
export PYBUILD_SYSTEM=pyproject
export PYBUILD_NAME=amd-debug-tools
%:
	dh $@ --with python3 --buildsystem=pybuild

override_dh_install:
	dh_install

	# Don't install unncessary top level files (in-tree launcher and self tests)
	rm -rf debian/amd-debug-tools/usr/lib/python*/dist-packages/test_*
	rm -rf debian/amd-debug-tools/usr/lib/python*/dist-packages/launcher.py

	# Install systemd sleep hook
	mkdir -p debian/amd-debug-tools/usr/lib/systemd/system-sleep
	mv debian/amd-debug-tools/usr/lib/python*/dist-packages/amd_debug/s2idle-hook \
		debian/amd-debug-tools/usr/lib/systemd/system-sleep/
	chmod +x debian/amd-debug-tools/usr/lib/systemd/system-sleep/s2idle-hook

	# Generate man pages using help2man
	mkdir -p debian/amd-debug-tools/usr/share/man/man1
	PYTHONPATH=src help2man -n "AMD s2idle debugging tool" -s 1 -N		\
		-o debian/amd-debug-tools/usr/share/man/man1/amd-s2idle.1	\
		debian/amd-debug-tools/usr/bin/amd-s2idle
	PYTHONPATH=src help2man -n "AMD BIOS debugging tool" -s 1 -N		\
		-o debian/amd-debug-tools/usr/share/man/man1/amd-bios.1		\
		debian/amd-debug-tools/usr/bin/amd-bios
	PYTHONPATH=src help2man -n "AMD P-state debugging tool" -s 1 -N		\
		-o debian/amd-debug-tools/usr/share/man/man1/amd-pstate.1	\
		debian/amd-debug-tools/usr/bin/amd-pstate
	PYTHONPATH=src help2man -n "AMD TTM debugging tool" -s 1 -N		\
		-o debian/amd-debug-tools/usr/share/man/man1/amd-ttm.1		\
		debian/amd-debug-tools/usr/bin/amd-ttm

## amd-debug-tools 0.2.13

=== Makefile ===
build:
	python3 -m build
check:
	pytest
coverage:
	coverage run -m unittest
	coverage report
clean:
	rm -rf build src/*.egg-info build dist amd*.txt amd*md amd*html

=== debian/changelog ===
amd-debug-tools (0.2.13-2) unstable; urgency=medium

  * Backport a patch to fix permissions errors in Salsa CI.

 -- Mario Limonciello <superm1@debian.org>  Thu, 12 Feb 2026 13:15:27 -0600

amd-debug-tools (0.2.13-1) unstable; urgency=medium

  * Update to new version.
  * Don't install systemd hook by default.
  * Add gbp.conf.

 -- Mario Limonciello <superm1@debian.org>  Mon, 02 Feb 2026 09:42:11 -0600

=== debian/control ===
Source: amd-debug-tools
Maintainer: Mario Limonciello <superm1@debian.org>
Section: python
Priority: optional
Build-Depends: dh-python,
               python3,
               help2man,
               debhelper-compat (= 13),
               pybuild-plugin-pyproject,
               python3-pyudev,
               python3-packaging,
               python3-pandas,
               python3-tabulate,
               python3-jinja2,
               python3-seaborn,
               python3-setuptools,
Standards-Version: 4.7.2.0
Homepage: https://web.git.kernel.org/pub/scm/linux/kernel/git/superm1/amd-debug-tools.git/
Vcs-Git: https://salsa.debian.org/debian/amd-debug-tools
Rules-Requires-Root: no


Package: amd-debug-tools
Architecture: all
Depends: ${misc:Depends},
         ${python3:Depends},
         acpica-tools,
         ethtool,
         gir1.2-fwupd-2.0,
         python3-pyudev,
         python3-packaging,
         python3-pandas,
         python3-tabulate,
         python3-jinja2,
         python3-seaborn
Description: Debug tools for AMD Zen systems
 amd-debug-tools is a collection of tools for BIOS, CPPC and s0i3 debugging
 tools for use on AMD Zen systems.

=== debian/rules ===
--- 
+++ 
@@ -10,12 +10,6 @@
 	# Don't install unncessary top level files (in-tree launcher and self tests)
 	rm -rf debian/amd-debug-tools/usr/lib/python*/dist-packages/test_*
 	rm -rf debian/amd-debug-tools/usr/lib/python*/dist-packages/launcher.py
-
-	# Install systemd sleep hook
-	mkdir -p debian/amd-debug-tools/usr/lib/systemd/system-sleep
-	mv debian/amd-debug-tools/usr/lib/python*/dist-packages/amd_debug/s2idle-hook \
-		debian/amd-debug-tools/usr/lib/systemd/system-sleep/
-	chmod +x debian/amd-debug-tools/usr/lib/systemd/system-sleep/s2idle-hook
 
 	# Generate man pages using help2man
 	mkdir -p debian/amd-debug-tools/usr/share/man/man1

=== debian/watch ===
version=4
opts=filenamemangle=s/.+\/v?(\d\S*)\.tar\.gz/amd-debug-tools-$1.tar.gz/ \
https://github.com/superm1/amd-debug-tools/tags .*/archive/refs/tags/v?(\d\S*)\.tar\.gz
